{**
 *  Please read the terms of the CLUF license attached to this module(cf "licences" folder)
 *
 * @author    Ovixia consultores, S.L.
 * @copyright Ovixia consultores, S.L. all rights reserved.
 * @license   Ovixia consultores, S.L.
 *}


{extends file="helpers/form/form.tpl"}
{block name="input"}
    {if $input.type == 'copy'}
        <div class="input-group input-group-sm">
            <span class="input-group-addon">
                {if isset($input.legend)}
                    {$input.legend|escape:'htmlall':'UTF-8'}
                {else}
                    url
                {/if}
            </span>
            <input type="text" class="form-control" value="{$input.value|escape:'htmlall':'UTF-8'}" id="{$input.name|escape:'htmlall':'UTF-8'}">
            <span class="input-group-btn">
                <button class="btn btn-info copy-input" type="button" id="copy-{$input.name|escape:'htmlall':'UTF-8'}">
                    {l s='copy' mod='filkers'}
                </button>
            </span>
        </div>
    {elseif $input.type == 'connected'}
        {if $input.value == 1}
            <div class="filkers_status alert alert-success">
                {l s='Connected' mod='filkers'}
            </div>
        {else}
            <div class="filkers_status alert alert-warning">
                {l s='Not connected' mod='filkers'}
            </div>
        {/if}
        <a class="btn btn-info btn-md pull-left" id="filkers_get_authorization" title="{l s='Push this button to connect with Filkers API and get a new authorization.' mod='filkers'}">{l s='Get new authorization' mod='filkers'}</a>
        <div class="pull-left filkers-loading"></div>
    {else}
        {$smarty.block.parent}{* HTML CONTENT *}
    {/if}
{/block}
